import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A button is not a number, but can be pressed using the keyboard.
 * 
 * Author: Sarah Coakley
 * Date: May 23, 2019
 */
public class Button extends Actor
{
    private boolean isDown;
    private String key;
    private String upBtn;
    private String downBtn;
   
    public Button(String keyName, String upImage, String downImage) 
    {
        //Constructs non-pressed buttons with different names attached
        isDown = false;
        key = keyName;
        upBtn = upImage;
        downBtn = downImage;
        setImage(upImage);
    }
    
    public void act()
    {
        //If the key is pressed, change its image
        if(Greenfoot.isKeyDown(key) && !isDown)
        {
            setImage(downBtn);
            Greenfoot.playSound("btn-press.wav");
            isDown = true;
        }
        
        //If the key isn't pressed, resets the image and the isDown variable to false
        if(!Greenfoot.isKeyDown(key) && isDown)
        {
            setImage(upBtn);
            isDown = false;
        }
    }
    
    public int getActualHeight()
    {
        //Gets the height of a button's image
        return getImage().getHeight();
    }
    
    public int getActualWidth()
    {
        //Gets the width of a button's image
        return getImage().getWidth();
    }
}
